Application: gvSIG desktop - gvSIG bugs #5469

Cuando ponemos unidades en metros a los simbolos de una libreria desaparece el elemento si lo
seleccionamos

10/09/2020 10:58 AM - Mario Carrera

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Symbology

Target version: 2.6.0-3330

Severity: Minor Add-on version:

gvSIG version: 251 Add-on build:

gvSIG build: 3042 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito: Fase 01
Add-on name: Unknown

Description

En una capa de puntos cualquiera, aplicamos una simbologia con el primer simbolo de la libreria gvSIG Basic, y le indicamos como

unidad "2" "metros" "en el mundo". En la Vista se ve correctamente, pero si seleccionamos los elementos desaparecen, no aparecen

en amarillo.

Si le ponemos unidades en pixeles (por ejemplo 18) si que aparecen en amarillo cuando se seleccionan.

Ocurre con cualquier libreria de simbolos siempre que ponemos unidades en metros.

En el log no aparece nada.

Associated revisions

Revision 47476 - 09/28/2023 12:19 PM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamarnos en lugar de ir cambiandoselos por fuera en

funcién de sus unidades y el contexto en el que se van a dibujar

Revision 1634 - 09/28/2023 12:19 PM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamafos en lugar de ir cambiandoselos por fuera en
funcién de sus unidades y el contexto en el que se van a dibujar

Revision 47477 - 09/28/2023 05:20 PM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamafos en lugar de ir cambiandoselos por fuera en

funcién de sus unidades y el contexto en el que se van a dibujar

Revision 9511 - 10/04/2023 08:38 AM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamanos en lugar de ir cambiandoselos por fuera en

funcién de sus unidades y el contexto en el que se van a dibujar
Revision 9512 - 10/04/2023 10:36 AM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamafos en lugar de ir cambiandoselos por fuera en
funcién de sus unidades y el contexto en el que se van a dibujar

Revision 9513 - 10/04/2023 01:46 PM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamafos en lugar de ir cambiandoselos por fuera en

funcién de sus unidades y el contexto en el que se van a dibujar

Revision 47497 - 10/06/2023 12:54 PM - Francisco Diaz Carsi

refs #5469 Multiples cambios en simbologia para que sean los simbolos los que calculen sus tamarnos en lugar de ir cambiandoselos por fuera en

funcién de sus unidades y el contexto en el que se van a dibujar

History

#1 - 10/13/2020 09:59 AM - Alvaro Anguix
- Target version changed from 2.5.1-3044 to 2.6.1-final

#2 - 01/29/2021 09:44 AM - Joaquin del Cerro Murciano
- Hito set to Fase 01
- Proyecto set to AYTOA 1

#3 - 03/02/2021 09:13 PM - Joaquin del Cerro Murciano
- Proyecto deleted (AYTOA 1)

#4 - 08/04/2023 08:27 AM - Joaquin del Cerro Murciano
- Priority changed from Normal to High

#5 - 09/13/2023 10:07 AM - Francisco Diaz Carsi
- Assignee set to Francisco Diaz Carsi

- Status changed from New to In progress

#6 - 09/28/2023 12:30 PM - Francisco Diaz Carsi

- % Done changed from 0 to 100

- Target version changed from 2.6.1-final to 2.6.0-3330
- Status changed from In progress to Fixed

Se ha tenido que cambiar un montén de cosas en el cédigo para que esto funcione correctamente.

Los cambios habran afectado a otras funcionalidades de simbologia y etiquetado.

#7 - 10/18/2023 11:09 AM - Alvaro Anguix
- Status changed from Fixed to Closed
